<?PHP include('header.php'); 
echo '<link rel="stylesheet" href="/css/forum.css" type="text/css" />';
echo "<span class='top-bl-s-verh'>Форум проекта WM Rush</span>
<div class='menucenter-top1'>
<table class='profile' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<tr><td class='value1'>
Уважаемый пользователь! Просьба не спамить и соблюдать правила проекта, за нарушения правил предусмотренны наказания.
</td></tr>
</table>";
include('forum_last_post.php');
$id = (isset($_GET["id"]) && preg_match("|^[\d]{1,11}$|", trim($_GET["id"]))) ? intval(trim($_GET["id"])) : false;
if($id == false){
echo '<script type="text/javascript"> top.document.location.href = "/forum"; </script>';
echo '<noscript><META HTTP-EQUIV="REFRESH" CONTENT="0;URL=/forum"></noscript>';
}
?>
<table class='profile10' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 10px;'>
<tr>
<td><center>
<? require 'inc/rotator.php'; ?>
</center>
</td>
</tr>
</table>
<?
#Запрет на создание тем в подразделах
$arr_sub = array("1", "2", "3");
if($id_user != false AND $user_status != "ban" AND ($reyting >= 8 AND !in_array($id, $arr_sub)) OR ($id != 1 AND ($user_status == "admin" OR $my_forum_st == "admin" OR $my_forum_st == "moder"))){
?>
<div class="f-create-btn"><a class="button-flat-green1" href="javascript:void(0);" onclick="ShowHide('add_topic');" style="margin:0;">Создать тему</a></div>
<div id="add_topic" class='add-topic-block'>
<table width="100%" class="f-create">
<tr>
<td>Тема: <input type="text" id="new-topic" maxlength="60" size="60"></td>
<td></td>
</tr><tr>
<td>
<span class='f-smyles' onclick='smyles();'></span>
<span class="btn-bold" title="Выделить жирным" onClick="wrapText('f-create_area','[b]','[/b]','counter'); return false;"></span>
<span class="btn-italic" title="Выделить курсивом" onClick="wrapText('f-create_area','[i]','[/i]','counter'); return false;"></span>
<span class="btn-uline" title="Выделить подчёркиванием" onClick="wrapText('f-create_area','[u]','[/u]','counter'); return false;"></span>
<span class="btn-url" title="Выделить URL" onClick="wrapText('f-create_area','[url]','[/url]','counter'); return false;"></span>
<span class="btn-img" title="Вставить картинку" onClick="wrapText('f-create_area','[img]','[/img]','counter'); return false;"></span>
<input class="f-scount" type="text" id="counter" value="Осталось 1000 символов" readonly="readonly" />
</td>
</tr><tr>
<td><textarea id='f-create_area' maxlength='1000' onkeyup="descchange('f-create_area','counter');"></textarea></td>
</tr>
<tr><td align="center">
<a class="button-green" href="javascript:void(0);" onclick="add_topic(<?=$id?>);" style="margin:0;">Создать</a>
</td></tr>
</table>
</div>
<div class='f-popup'></div>
<? }
#Навигация 
$sql = mysql_query("SELECT `id` FROM `b_forum_topic` WHERE `id_sub`='$id'"); //общее кол-во ответов
$kolvo = 10; //кол-во выводимых записей на странице
$get_pg = (isset($_GET["pg"])) ? intval($_GET["pg"]) : 0;
$allnews = mysql_num_rows($sql); //общее кол-во записей
$vsego = intval(($allnews - 1) / $kolvo) + 1;  
$nowpage = intval($get_pg);
if(empty($nowpage) or $nowpage < 0) $nowpage = 1; 
if($nowpage > $vsego) $nowpage = $vsego; 
$gg = $nowpage * $kolvo - $kolvo; 
$urls = "forum_topic_$id";
// Находим две ближайшие станицы с обоих краев, если они есть 
if($nowpage - 3 > 0){ $pagefirst = '<a href= "/'.$urls.'-1">1<</a>';}else{$pagefirst = NULL;}
if($nowpage - 2 > 0) {$page2left = '<a href= "/'.$urls.'-'. ($nowpage - 2) .'">'. ($nowpage - 2) .'</a> ';  }else{$page2left = NULL;}
if($nowpage - 1 > 0) {$page1left = '<a href= "/'.$urls.'-'. ($nowpage - 1) .'">'. ($nowpage - 1) .'</a> ';  }else{$page1left = NULL;}
if($nowpage + 2 <= $vsego) {$page2right = '<a href= "/'.$urls.'-'. ($nowpage + 2) .'">'. ($nowpage + 2) .'</a>';  }else{$page2right = NULL;}
if($nowpage + 1 <= $vsego) {$page1right = '<a href= "/'.$urls.'-'. ($nowpage + 1) .'">'. ($nowpage + 1) .'</a>'; }else{$page1right = NULL;}
if($nowpage + 2 < $vsego){ $pagelast = '<a href= "/'.$urls.'-'.$vsego.'">>'.$vsego.'</a>';}else{$pagelast = NULL;}
// Вывод меню 

#Навигация 
?>
<table class="profile"  cellspacing="0" cellpadding="0" border="0" width="100%">
<thead>
<th colspan="2">Тема</th>
<th>Ответов</th>
<th>Последние сообщения</th>
</thead>
<tbody>
<?PHP
$sql = mysql_query("SELECT `id`, `id_user`, `topic`, `status` FROM `b_forum_topic` WHERE `id_sub`='$id' ORDER by `id` DESC LIMIT $gg,$kolvo") or die(mysql_error());
if(mysql_num_rows($sql) > 0){
while($row = mysql_fetch_assoc($sql)){
$sql_a = mysql_query("SELECT COUNT(id) AS `count`, `time`, `id_user` FROM `b_forum_topic_answer` WHERE `id_topic`='".$row["id"]."'");
$row_a = mysql_fetch_assoc($sql_a);
if($row_a["time"] > (time()-24*3600)){
$f_date = "<span class='f-time-now'>".date("d-m-y H:i", $row_a["time"])."</span>";
}else{
$f_date = "<span class='f-time-old'>".date("d-m-y H:i", $row_a["time"])."</span>";
}
if($row["status"] == 0) { $class_topic = 'class="f-topic-o" title="Тема открыта"'; }else{ $class_topic = 'class="f-topic-c" title="Тема закрыта"'; }
?>
<tr>
<td <?=$class_topic?>>
</td><td>
<a class="f-link-ss" href="/forum_post_<?=$row["id"]?>"><?=$row["topic"]?></a>
</td><td>
<center><?=$row_a["count"]?></center>
</td><td><center>
<?=ucfirst(get_us_name($row_a["id_user"]))?><br />
<?=$f_date?>
</center></td>
</tr>
<?
}
}else{
echo "<tr><td colspan='4'>В данном форуме нет тем</td></tr>";
}
?>
</tbody>
</table>
<?PHP
// Вывод меню 
echo "<table width='100%'><tr><td nowrap='nowrap'>";
$nextp = $nowpage + 1;
$lastp = $nowpage - 1;
if($nowpage != 1) { echo "<a href='/".$urls."-".$lastp."'><span class='text14'>"; }else{ echo "<span class='textgray'>"; } echo "&larr;&nbsp;Предыдущие</span>";if($nowpage==1) { echo "</a>"; } 
echo "</td><td width='90%' align='center'>$pagefirst $page2left $page1left <b> $nowpage </b> $page1right $page2right $pagelast</td><td nowrap='nowrap'>";
if($nowpage!=$vsego){ echo "<a href='/".$urls."-".$nextp."'><span class='text14'>"; }else{ echo "<span class='textgray'>"; } echo "Следующие&nbsp;&rarr;</span>"; if($nowpage!=$vsego) { echo "</a>"; } 
echo "</td></tr></table>";
#Навигация 
?>
</div>
<script>
function descchange(elem,counter){
var maxLength = $('#'+elem).attr('maxlength');
var curLength = $('#'+elem).val().length;
$('#'+elem).val($('#'+elem).val().substr(0, maxLength));
var remaning = maxLength - curLength;
if (remaning < 0) remaning = 0;
$('#'+counter).val( 'Осталось ' + remaning + ' символов');
if (remaning < 100) {
$('#'+counter).css('color','#FF0000');
} else {
$('#'+counter).css('color','#68a0bf');
}
}

function wrapText(elementID, openTag, closeTag, counter ) {
var textArea = $('#' + elementID);
var len = textArea.val().length;
var start = textArea[0].selectionStart;
var end = textArea[0].selectionEnd;
var selectedText = textArea.val().substring(start, end);
var replacement = openTag + selectedText + closeTag;
textArea.val(textArea.val().substring(0, start) + replacement + textArea.val().substring(end, len));
descchange(elementID,counter);
}

function ShowHide(a,b){$("#"+a).is(":hidden")||b?$("#"+a).show(1E3):$("#"+a).hide(1E3)}

var progress = false;

function smyles(){
if(!progress){
if($('.f-popup').css('display') == 'none'){
if($('#smyles-view').length){
$('.f-popup').show('fast');
} else {
if(!progress){
$.ajax({
cache: false,
type: "POST",
url: "/ajax/ajax_forum.php",
data: {"func" : "smyles"},
beforeSend: function(){ progress = true;},
success: function(html){
$('.f-popup').html(html).show('fast');
progress = false;
}
});
}
}
}else{
$('.f-popup').hide('fast');
}
}
}

function smyle(smyle){
var msg = $('#f-create_area').val();
$('#f-create_area').val(msg+smyle);
$('#f-create_area').focus();
$('.f-popup').hide('fast');
descchange("f-create_area", "counter");
}

function hide_smyle(){
$('.f-popup').hide('fast');
}

function add_topic(id){
if(!progress){
var topic = $('#new-topic').val();
var msg = $('#f-create_area').val();
if(!progress){
if(topic.length < 6) { QBinfo('Ошибка:','<b>Слишком короткое название темы!</b>',4000,'bottom-right'); return false;}
if(topic.length > 60) { QBinfo('Ошибка:','<b>Слишком длинное название темы!</b>',4000,'bottom-right'); return false;}
if(msg.length < 15) { QBinfo('Ошибка:','<b>Слишком короткое сообщение!</b>',4000,'bottom-right'); return false;}
if(msg.length > 1000) { QBinfo('Ошибка:','<b>Слишком длинное сообщение!</b>',4000,'bottom-right'); return false;}
$.ajax({
cache: false,
type: "POST",
url: "/ajax/ajax_forum.php",
data: {"func" : "create", "id" : id, "topic" : topic, "msg" : msg},
beforeSend: function(){ progress = true;},
success: function(data){
if(data == 1) { QBinfo('Ошибка:','<b>Нет такого раздела!</b>',4000,'bottom-right'); }
else if(data == 2) { QBinfo('Ошибка:','<b>У Вас недостаточно рефтинга чтобы создавать темы!</b>',4000,'bottom-right'); }
else { document.location.href = "/forum_post_"+data; }
progress = false;
}
});
}
}
}
</script>
<?PHP include('footer.php');?>